# SegmentedContextBuffer
Segmented Context Buffer for AI Inference Pipelines.  

Modular, token-aware, caching optimized context management designed for AI systems, LLMs, and plugin-based backends.

# Credits

This project uses the following third-party library:

- Ardalis.SmartEnum (MIT License)
  https://github.com/ardalis/SmartEnum


# License

SegmentedContextBuffer
Copyright (c) 2025 Chris B.

SegmentedContextBuffer is **dual-licensed** under:

- [GNU General Public License v3.0](LICENSE) (for open-source usage)
- **Commercial license** (for closed-source or proprietary usage)

If you are a company or developer who wants to integrate this into a commercial product **without releasing your source code**, please [contact Chris](mailto:chrb-bits@outlook.com) to obtain a commercial license.
